Skip to main content
PUT
Update vendor refund

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

Content-Type
string

Content-Type must be set to application/json.

Path Parameters

businessId
string<uuid>
required

The UUID of the business to update the vendor refund for.

refundId
string<uuid>
required

The UUID of the vendor refund to update.

Body

application/json

Itemized vendor refund creation parameters. Provides full control over refund allocations and payments. The sum of allocation amounts must equal the refunded_amount.

refunded_amount
integer<int64>
required

The total amount of the vendor refund in cents. This value must be positive and equal to the sum of all allocation amounts.

completed_at
string<date-time>
required

The time the vendor refund was completed.

allocations
object[]
required

The targets of the vendor refund. Each allocation specifies how much of the refund should be applied to a specific bill, line item, payment, or vendor.

payments
object[]
required

The payment methods and amounts used to process the vendor refund.

external_id
string | null

An external identifier for the vendor refund transaction.

tags
object[]

Tags to associate with the vendor refund.

memo
string | null

Memo for any text you would like to associate with the vendor refund (for example, to display to end users).

metadata
object | null

Arbitrary custom metadata in JSON format with a size limit of 1KB.

Example:
reference_number
string | null

Any (typically user-visible) identifier you would like to associate with the vendor refund. Can be used to filter when listing vendor refunds.

Response

200 - application/json

Vendor refund updated successfully.

data
object
required

A vendor refund represents a transaction where a vendor returns value to a business. A specific bill can be refunded or a general refund can be applied to a vendor.